Bug 119277 - "Application Colors" should be transferred from Options (how it works) to Customize (how it looks)
Summary: "Application Colors" should be transferred from Options (how it works) to Cus...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Options-Dialog Customize-Dialog
  Show dependency treegraph
 
Reported: 2018-08-14 16:05 UTC by Timur
Modified: 2018-08-31 21:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2018-08-14 16:05:33 UTC
Now we have Tools -> Options -> LibreOffice -> Application Colors.
That whole setting should be transferred from Tools-Options to Tools-Customize so that we have tab Application Colors there.

Seems more logical place, with larger area.
Comment 1 Cor Nouws 2018-08-22 17:16:57 UTC
Customize is more the UI elements, rather than the UI look.
Note there is also Icon themes, Persona and prolly more in Options.
For me a WFM
Comment 2 Heiko Tietze 2018-08-22 18:33:52 UTC
No other opinion than Cor's, that I agree on, so WFM.
Comment 3 Timur 2018-08-23 10:16:05 UTC
(In reply to Cor Nouws from comment #1)
> Customize is more the UI elements, rather than the UI look.
I don't understand that explanation. I'm not aware it's documented somehere. 
That's why I offered a simple logic that would solve any similar dilemma: Options (how it works) vs. Customize (how it looks).

> Note there is also Icon themes, Persona and prolly more in Options.
That's not a good argument to keep all as it is. All this should be moved to Customize. There's enough other stuff in Options. 

> For me a WFM
WFM is wrong anyway. At least this is WontFix. Of course I don't agree on that.
Comment 4 Thomas Lendo 2018-08-29 08:23:33 UTC
I'm the same opinion as Cor. Customize is for UI elements with which the user works ("tools"). All the other stuff should be in the Options dialog. Otherwise many options for visual things from the Options dialog would have to be moved to Customize which would bloat the Customize dialog for no benefit. A Wontfix from my side.
Comment 5 Timur 2018-08-30 09:22:48 UTC
If decision was not to do it, this is not WFM but WF.

See updated https://bugs.documentfoundation.org/page.cgi?id=fields.html#bug_status.
Comment 6 Cor Nouws 2018-08-31 21:38:29 UTC
(In reply to Timur from comment #3)
> (In reply to Cor Nouws from comment #1)
> > Customize is more the UI elements, rather than the UI look.
> I don't understand that explanation. I'm not aware it's documented somehere. 

Don't know of any documentation either  - it is what I conclude when I look at the various settings ;)